library universally;

export 'package:carousel_slider/carousel_slider.dart';
export 'package:connectivity_plus/connectivity_plus.dart';
export 'package:extended_image/extended_image.dart' hide MultipartFile;
export 'package:flutter_curiosity/flutter_curiosity.dart';
export 'package:flutter_svg/flutter_svg.dart';
export 'package:flutter_waya/flutter_waya.dart';
export 'package:hive_flutter/hive_flutter.dart';
export 'package:hive/hive.dart';
export 'package:json_annotation/json_annotation.dart';
export 'package:keframe/keframe.dart';
export 'package:permission_handler/permission_handler.dart';
export 'package:provider/provider.dart';
export 'package:path_provider/path_provider.dart';
export 'package:url_launcher/url_launcher.dart';

/// component
export 'component/component.dart';
export 'component/gif.dart';
export 'component/list.dart';
export 'component/picker.dart';
export 'component/popup.dart';
export 'component/scaffold.dart';
export 'component/text.dart';
export 'component/text_field.dart';
export 'component/tab_bar.dart';
export 'component/user_privacy.dart';
export 'component/switch_api.dart';
export 'component/cache.dart';

/// dependencies
export 'dependencies/connectivity.dart';
export 'dependencies/dio.dart';
export 'dependencies/hive.dart';
export 'dependencies/permission_handler.dart';
export 'dependencies/svg.dart';
export 'dependencies/url_launcher.dart';
export 'dependencies/carousel_slider.dart';
export 'dependencies/extended_image.dart';

/// main
export 'main/config.dart';
export 'main/main.dart';

/// const
export 'const/const.dart';
export 'const/extension.dart';
